Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 21 Mar 2023 02:58:49 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Where is my order no. 9420555453? I placed the order on 18-March and you were supposed to deliver it on 19-March. Fake status provided by your delivery person who gave WHITE LIES that I was not available, I did not receive any phone call. My wife 055-7751167 - Jovita Miranda also ordered on 18th March -SAME ADDRESS - and hers got delivered, and you missed mine even today on 20th March. Is this a joke that your status of the tracking number # also simply says "undelivered" with no other update that it was again "out for delivery" on 20th March - since you missed to deliver it on 19th March. Will it be delivered or no on 21st March?
In the afternoon, I chatted with your agent Ziena, and I also called up your call center, a lady with an arabic-English accent spoke and assured that the order will be delivered today, inspite of that no results! This is totally ridiculous service from you, better that I would have shopped in store! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5900576